program p
character(100) :: b = "amp in string breaks everything? ' & ! "
integer c
integer a ! amp in comment breaks next definition? &
integer d, &
   e, &
   f

contains

RECURSIVE & ! add comment here
        SUBROUTINE CS1_OPENFILE()

            IF(fileHandle > 0) THEN
                ierr = 0
            ELSE
                ierr = 1
            END IF

        END &
             SUBROUTINE &
 CS1_OPENFILE

end program p
